Remove Referral Card Holder
curl --request DELETE \
--url https://{cluster}.voucherify.io/v1/referrals/members/{memberId}/holders/{holderId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'Removes the holder from a referral card. You can remove a referee only.
To use this endpoint, you must have the following permissions:
- Create and modify Customers and Segments (
customers.modify) - Publish Voucher (
vouchers.publish)
๐ Alternative endpoint
This endpoint is an alternative to the Remove Referral Card Holder endpoint. The URL was re-designed to retrieve the referral member holders without providing the
campaignIdas a path paremeter.
DELETE
/
v1
/
referrals
/
members
/
{memberId}
/
holders
/
{holderId}
Remove Referral Card Holder
curl --request DELETE \
--url https://{cluster}.voucherify.io/v1/referrals/members/{memberId}/holders/{holderId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
X-App-Id & X-App-TokenX-Voucherify-OAuth
Path Parameters
Unique referral code or its identifier.
Example:
"MmFAzfDe"
Unique identifier of a redeemable holder.
Example:
"rh_0f1ab744ce8277d0dc"
Response
Returns no content if removal is successful.
Last modified on February 3, 2026
Was this page helpful?
โI

